Bug 1272635 - Shutdown waits for 'Session c1' for user gdm stop job to time out (1 min 30 sec)
Shutdown waits for 'Session c1' for user gdm stop job to time out (1 min 30 sec)
Status: NEW
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
25
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 23:22 EDT by Andrew Lofthouse
Modified: 2017-07-12 03:10 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-25 00:08:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Lofthouse 2015-10-16 23:22:46 EDT
Description of problem: The system takes a long time (at least 1m30s) to shutdown.  systemd shows "a stop job is running for session c1 of user gdm" with a countdown in seconds until 1 min 30 seconds.  When 1 min 30 sec is reached, the system is powered off.  A clean install of Fedora 23 Beta XFCE spin does not have this problem.


Version-Release number of selected component (if applicable): 3.18.0-1.fc23


How reproducible: Always


Steps to Reproduce:
1. Ensure that "rhgb" and "quiet" are removed from the kernel boot line
2. Start machine and log into Gnome graphical session
3. Power off machine using e.g. "systemctl poweroff"

Actual results:
The graphical session is closed, and the machine starts to power off, but it hangs with the following message on the console: "a stop job is running for session c1 of user gdm" with a counter counting to 1 min 30 seconds at which time the machine powers off.


Expected results:
Machine should immediately power off without waiting for gdm session.

Additional info:
This wait time is not seen with an XFCE machine (Fedora 23 Beta also) using lightdm instead of gdm.
Comment 1 Benjamin Morel 2015-11-15 18:29:51 EST
Affects me as well. Every single shutdown displays this message and waits for 1m 30s before powering off.

My Fedora machine is virtualized using VMWare Workstation Player 12 on Windows 10, if that makes a difference.
Comment 2 Stephen Adler 2015-11-17 18:55:42 EST
I'm having this same problem, but only in my VMWare client install. My normal installation of fedora 23 works fine. The message I'm getting during shutdown is...

"A stop job is runnin g for Session c1 of user gdm (NNs/1min 30s)"

Where NN is the count down second number as I wait for 1.5 minutes for the system to shut down.... uggg...
Comment 3 Ray Strode [halfline] 2015-11-18 07:48:49 EST
do you see this when using power off from the user session or from the login screen? or both?

what version of gdm gnome-shell and mutter are installed?
Comment 4 Benjamin Morel 2015-11-18 12:35:46 EST
Only when powering off from the user session, in my case.

If I power off from the login screen right after system startup, it works fine.
Comment 5 Benjamin Morel 2015-11-18 12:38:27 EST
gdm --version : GDM 3.18.0
gnome-shell --version : GNOME Shell 3.18.1
mutter --version : mutter 3.18.1
Comment 6 javiertury 2015-12-01 15:03:57 EST
In my case "rhgb" and "quiet" are in the kernel boot line and this still happens. It says that a stop job is running for session 1 of user 42.

$ grep :42: /etc/passwd
gdm:x:42:42::/var/lib/gdm:/sbin/nologin

So yes, it seems to be gdm.
Comment 7 Dieter GORECKI 2016-01-25 08:44:50 EST
It looks like the bug disappeared since I updated my fedora VM to the last kernel (4.3.3-301).

No occurence for now, I tried several ways to reboot or halt the system and didn't notice any issue.
Comment 8 Benjamin Morel 2016-01-25 09:59:52 EST
Same for me, it works fine now! I think this bug can be closed.
Comment 9 Andrew Lofthouse 2016-11-25 00:06:15 EST
Seems to be a problem still in Fedora 24 and now Fedora 25.  I'm not sure what the supposed fix was, but I see no change in the behavior of a newly installed VM with Fedora 25.
Comment 10 Andrew Lofthouse 2016-11-25 00:08:04 EST
D'oh...  A newly installed Fedora 25 VM *that's been updated* does not seem to have the problem.
Comment 11 Hugh Sparks 2017-01-10 03:11:12 EST
I have a new Fedora 25 installation updated today with kernel-4.8.15-300. Running on VMware, it still takes 1min 30sec to shut down. Most aggravating. I'll try it on real hardware next. I suppose if that works it's "NOTABUG".
Comment 12 Michael Cronenworth 2017-04-16 22:56:21 EDT
gdm-3.22.3-1.fc25.x86_64
gnome-shell-3.22.3-1.fc25.x86_64
kernel-4.10.8-200.fc25.x86_64
mesa-libGL-13.0.4-3.fc25.x86_64
systemd-231-14.fc25.x86_64

This issue still occurs on some of my systems. It only reliably occurs if the system uptime is > ~10-30 minutes on my laptop. If you shutdown in less uptime the laptop immediately shuts down.

My desktop systems are not affected by this issue.
Comment 13 Michael Cronenworth 2017-04-16 23:03:37 EDT
It appears gdm or the Xorg server is not gracefully exiting. Here is a snip of log output from a bad shutdown.

Apr 16 21:46:12 foo.bar.com gdm[1357]: Freeing conversation 'gdm-password' with active job
Apr 16 21:46:12 foo.bar.com gdm[1357]: Tried to look up non-existent conversation gdm-launch-environment
Apr 16 21:46:12 foo.bar.com gdm[1357]: Freeing conversation 'gdm-launch-environment' with active job
Apr 16 21:46:12 foo.bar.com dbus-daemon[968]: [system] Activating via systemd: service name='org.freedesktop.Accounts' unit='accounts-daemon.service' req
Apr 16 21:46:12 foo.bar.com dbus-daemon[968]: [system] Activation via systemd failed for unit 'accounts-daemon.service': Refusing activation, D-Bus is sh
Apr 16 21:46:12 foo.bar.com gdm[1357]: Failed to contact accountsservice: Error calling StartServiceByName for org.freedesktop.Accounts: GDBus.Error:org.
Apr 16 21:46:12 foo.bar.com gdm[1357]: GLib: g_hash_table_find: assertion 'version == hash_table->version' failed
Apr 16 21:46:12 foo.bar.com systemd[1]: Stopped GNOME Display Manager.
Apr 16 21:46:12 foo.bar.com audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=gdm comm="system
Apr 16 21:46:12 foo.bar.com systemd[1]: Starting Show Plymouth Power Off Screen...
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) UnloadModule: "libinput"
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) systemd-logind: releasing fd for 13:67
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) UnloadModule: "libinput"
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) systemd-logind: releasing fd for 13:76
Apr 16 21:46:12 foo.bar.com systemd[1]: Started Show Plymouth Power Off Screen.
Apr 16 21:46:12 foo.bar.com audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=plymouth-powero
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) UnloadModule: "libinput"
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) systemd-logind: releasing fd for 13:70
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) UnloadModule: "libinput"
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) systemd-logind: releasing fd for 13:75
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) UnloadModule: "libinput"
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) systemd-logind: releasing fd for 13:65
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) UnloadModule: "libinput"
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) systemd-logind: releasing fd for 13:69
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) UnloadModule: "libinput"
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) systemd-logind: releasing fd for 13:66
Apr 16 21:46:12 foo.bar.com systemd[1]: Stopped Restore /run/initramfs on shutdown.
Apr 16 21:46:12 foo.bar.com audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dracut-shutdown 
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (WW) xf86CloseConsole: KDSETMODE failed: Input/output error
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (WW) xf86CloseConsole: VT_GETMODE failed: Input/output error
Apr 16 21:46:12 foo.bar.com /usr/libexec/gdm-x-session[2041]: (WW) xf86CloseConsole: VT_ACTIVATE failed: Input/output error
Apr 16 21:46:13 foo.bar.com /usr/libexec/gdm-x-session[2041]: (II) Server terminated successfully (0). Closing log file.
Apr 16 21:46:13 foo.bar.com systemd[1]: Stopped Session 2 of user michael.
Apr 16 21:46:13 foo.bar.com systemd[1]: Removed slice User Slice of michael.
Apr 16 21:46:13 foo.bar.com systemd-logind[998]: Removed session 2.
Apr 16 21:46:13 foo.bar.com systemd[1]: Unmounted /run/user/1000.
Apr 16 21:47:42 foo.bar.com systemd[1]: session-c1.scope: Stopping timed out. Killing.
Apr 16 21:47:42 foo.bar.com systemd[1]: session-c1.scope: Killing process 1528 (Xorg) with signal SIGKILL.
Apr 16 21:47:42 foo.bar.com systemd[1]: Stopped Session c1 of user gdm.
Comment 14 Michael Cronenworth 2017-04-19 17:14:08 EDT
(In reply to Michael Cronenworth from comment #12)
> My desktop systems are not affected by this issue.

I was wrong. A desktop of mine is also affected. I forgot it was until I shut it down and ran into this issue.

Note You need to log in before you can comment on or make changes to this bug.